Subject: bug#15383: closed (Re: bug#15200: isearch-other-meta-char and shift)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Oct 2013 23:30:08 +0000

Your bug report

#15200: universal-argument-num-events is void

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15200: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15200
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15200: isearch-other-meta-char and shift
From: Juri Linkov <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Wed, 09 Oct 2013 02:29:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

>> (lookup-key isearch-mode-map (kbd "C-u C-l")) => 1
>> (lookup-key isearch-mode-map (kbd "C-u C-w")) => 1
>
>> both return 1.
>
> OK, don't worry about that: the fix needs to be elsewhere (I happen to
> have a work-in-progress patch which fixes that problem).
>
> So, I think you can go ahead and install your patch.
> And please make a bug-report for the C-u C-w problem, so we don't forget
> about it.

I installed the patch (with a FIXME comment) and reported a new bug#15568.

Subject: universal-argument-num-events is void
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Sun, 15 Sep 2013 12:12:41 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Typing `C-s C-u C-l' reports the error:

  Symbol's value as variable is void: universal-argument-num-events

I wonder how it's possible to fix `isearch-other-meta-char'
to not use the removed `universal-argument-num-events'?

Just removing `universal-argument-num-events' causes other errors.

Interestingly, removing it from `isearch-mode-keep-pred'
(a replacement of `isearch-other-meta-char' that
I'm writing in bug#15200) causes no errors, but currently
`isearch-mode-keep-pred' has other problems, e.g.
`C-s C-l' exits Isearch, but `C-s C-u C-l' doesn't
(it should).  I'm looking for a fix.